/* ----sp navi---- */
.sp-navi{
	display: none;
	position: absolute;
	right: 0;
	margin: 0;
	padding: 0 20px 20px;
	box-sizing: border-box;
	background-color: #fff;
	height: 100vh;
	width: 100vw;
	box-sizing: border-box;
	overflow-y: auto;
    touch-action: manipulation;
    -webkit-overflow-scrolling: touch;
	font-family: 'Noto Sans JP', sans-serif;
	font-weight: 600;
	z-index: 10;
}



@media screen and (max-width: 699px){
.sp-navi{
	top: 0;
}
.hamburger{
	padding: 2px 0 !important
}
	
}


@media screen and (max-width: 1023px){
.sp-navi{
	top: -6px;
}

/* title */
.hamburger{
	position: fixed;
	top: 6px;
	right: 0;
	z-index: 9999;
	width:  50px;
	height: 50px;
	padding: 15px 0;
	overflow: visible;
}
.home .hamburger{
	opacity: 0;
	animation: fadeIn 2s linear;
	animation-fill-mode: both;
}
@keyframes fadeIn{
0%{
	opacity: 0;
}
50%{
	opacity: 0;
}
100%{
	opacity: 1;
}
}

.hamburger .menu{
	width: 60px;
	height: 60px;
	z-index: 9999;
}
.hamburger .menu .toggle:hover{
    background-color: #fafafa;
}
.hamburger .menu .toggle{
	transition: 0.3s ease;
	position: relative;
	width: 45px;
	height: 45px;
	cursor: pointer;
	-webkit-appearance: none;
	 -moz-appearance: none;
	appearance: none;
	border: 0;
	z-index: 100;
    background-color: #fff;
    border-radius: 1px;
}
.hamburger .menu .toggle.navi-btn{
	outline: none;
}
.hamburger .menu .toggle.navi-btn-on{
	outline: none;
}
.navi-btn {
  position: relative;
  display: inline-block;
  box-sizing: border-box;
}
.navi-btn div {
  position: absolute;
  left: 9px;
  height: 2px;
  width: 26px;
  border-radius: 2px;
  display: inline-block;
  box-sizing: border-box;
}
.navi-btn div,
.header.fixed .navi-btn div {
	background-color: #555;
}
.navi-btn div:nth-of-type(1) {
	top: 10px;
}
.navi-btn div:nth-of-type(2) {
	top: 16px;
}
.navi-btn div:nth-of-type(3) {
	top: 22px;
}
.navi-btn span{
    color: #555;
    position: absolute;
	top: 28px;
	left: 5px;
}

.navi-btn-on {
  position: relative;
  display: inline-block;
  box-sizing: border-box;
	transition: 0.3s;
}
.navi-btn-on div {
  position: absolute;
  left: 10px;
  height: 2px;
  width: 26px;
  border-radius: 2px;
  display: inline-block;
  box-sizing: border-box;
	transition: 0.3s;
}
.navi-btn-on div:nth-of-type(1) {
	top: 9px;
    transform: translateY(6px) rotate(45deg);
}
.navi-btn-on div:nth-of-type(2) {
    display: none;
}
.navi-btn-on div:nth-of-type(3) {
	top: 12px;
    transform: translateY(3px) rotate(-45deg);
}

.sp-navi ul{
	width: 90%;
	margin: 0 auto;
	padding: 30px 0;
	list-style: none;
	font-size: 1.6rem;
	font-weight: 600;
}
.sp-navi ul li a{
	display: block;
	padding: 6px 10px;
	color: #444;
	border-bottom: 1px solid #ccc;
}
.sp-navi ul li a:hover{
	background-color: #eee;
	border-bottom: 1px solid #ccc;
}
.sp-navi ul ul{
	font-size: 92%;
}

}


@media screen and (min-width: 1024px){
.hamburger{
	display: none;
}
}
